Subject: Re: W3C Last Call and Media Type request for comments: XQuery and XQueryX
From: John Cowan <[email-masked]>
To: Liam Quin <[email-masked]>
Cc: MURATA Makoto <[email-masked]>, Bjoern Hoehrmann <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Thu, 19 May 2005 13:45:35 -0400
List-Id: <ietf-xml-mime.imc.org>

Liam Quin scripsit:

> Interchange of a database query language over the Web in its own
> Internet Type is likely for machine execution or to interchange
> files, not for reading by humans, as then text/plain might be
> more appropriate... but this is conjecture on my part right now.

FWIW, I think this is a Bad Thing.  Programming language content should
go in text/plain files (despite the nasty problem with the encoding
type imposed by text/*), so as to *discourage* browsers from attempting
to execute them, which is a big fat security hole.

The use of text/css in HTML link elements and XML stylesheet PIs is
essentially a hack so that browsers can decide whether to fetch the
stylesheet, and is not consistent with the intention of IETF media
types, which are designed to specify a minimal mapping from raw
octets to interpretable objects such as characters or pixels.

-- 
Unless it was by accident that I had            John Cowan
offended someone, I never apologized.           [email-masked]
        --Quentin Crisp                         http://www.ccil.org/~cowan

Date: Thu, 19 May 2005 23:56:03 +0900
From: MURATA Makoto <[email-masked]>
To: Liam Quin <[email-masked]>
Subject: Re: W3C Last Call and Media Type request for comments: XQuery and XQueryX
Cc: [email-masked], [email-masked], [email-masked]
Sender: [email-masked]

> Please note that this is for application/xquery -- a non-XML format.
> For application/xqueryx+xml I'll send separate mail.

I will then wait for your next mail for application/xqueryx+xml.

Cheers,

-- 
MURATA Makoto <[email-masked]>

Date: Thu, 19 May 2005 10:38:59 -0400
From: Liam Quin <[email-masked]>
To: MURATA Makoto <[email-masked]>
Cc: Bjoern Hoehrmann <[email-masked]>, [email-masked], [email-masked], [email-masked]
Subject: Re: W3C Last Call and Media Type request for comments: XQuery and XQueryX
Sender: [email-masked]

On Thu, May 19, 2005 at 10:18:18AM +0900, MURATA Makoto wrote:
>  
> > (1) to remove the optional encoding parameter, as you suggested
> 
> I think that this is a wrong decision.  Please reintroduce the charset
> parameter.  If present, it overrides the encoding declaration or BOM. If
> it is absent, the encoding declaration or BOM is used.

Please note that this is for application/xquery -- a non-XML format.
For application/xqueryx+xml I'll send separate mail.

One reason for dropping the encoding parameter (after discussions
with Mark Baker and others) is that in practice it's unlikely to be
used... e.g. from a Web browser passing off to a local query processor
or from a saved file).  Since the format is "application", proxies
cannot transcode the file, so the encoding declaration in the file
is authoritative.

Interchange of a database query language over the Web in its own
Internet Type is likely for machine execution or to interchange
files, not for reading by humans, as then text/plain might be
more appropriate... but this is conjecture on my part right now.

Do you have an environment in which the encoding parameter is
useful or important?   We don't have a significant use case for
it, and our understanding was that the W3C TAG had considered
the encoding parameter to be a bad idea too.

Thanks!

Liam

-- 
Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
http://www.holoweb.net/~liam/

Date: Thu, 19 May 2005 10:18:18 +0900
From: MURATA Makoto <[email-masked]>
To: Liam Quin <[email-masked]>
Subject: Re: W3C Last Call and Media Type request for comments: XQuery and XQueryX
Cc: Bjoern Hoehrmann <[email-masked]>, [email-masked], [email-masked], [email-masked]
Sender: [email-masked]

> (1) to remove the optional encoding parameter, as you suggested

I think that this is a wrong decision.  Please reintroduce the charset
parameter.  If present, it overrides the encoding declaration or BOM. If
it is absent, the encoding declaration or BOM is used.

Cheers,
-- 
MURATA Makoto <[email-masked]>

Date: Tue, 17 May 2005 14:02:27 -0400
From: Liam Quin <[email-masked]>
To: Bjoern Hoehrmann <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Subject: Re: W3C Last Call and Media Type request for comments: XQuery and XQueryX
Sender: [email-masked]

Bjoern,
    the XML Query Working Group considered your comments today
    and resolved:

(1) to remove the optional encoding parameter, as you suggested

(2) that when we send the call for implementations (i.e. XQuery enters
    W3C Candidate Recommendation status, expected this Summer) we
    will ask implementors to draw our attention to security
    considerations above and beyond those we already list, and
    we'll then update the section.

    Our reasoning is that we don't yet know what to identify --
    e.g. it may turn out that many implementations provide
    specific extensions that read or write files.
       
(3) we will make the Internet Type appendix normative in XQuery.
    
Thank you for your comments!  I hope (on behalf of the WG) that
this will address your concerns.

Liam

-- 
Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
http://www.holoweb.net/~liam/